### Class

# Ggit Remote

#### Description [src]

    class Ggit.Remote : Ggit.Native
    {
      /* No available fields */
    }

Represents a git remote.

#### Hierarchy

#### Ancestors

- GgitNative
- GgitObjectFactoryBase
- GObject

#### Constructors

###### ggit_remote_new

Creates a remote with the default refspecs in memory. You can use this when you have a URL instead of a remote’s name.

###### ggit_remote_new_anonymous

Creates a remote with the specified refspec in memory. You can use this when you have a URL instead of a remote’s name.

#### Instance methods

###### ggit_remote_connect

Opens a connection to a remote. The transport is selected based on the URL. The direction argument is due to a limitation of the git protocol (over TCP or SSH) which starts up a specific binary which can only do the one or the other.

###### ggit_remote_disconnect

Closes the connection to the remote and frees the underlying transport.

###### ggit_remote_download

Connect to the remote if not yet connected, negotiate with the remote about which objects are missing and download the resulting packfile and its index.

###### ggit_remote_get_connected

Check whether `remote` is connected.

###### ggit_remote_get_fetch_specs

Get the list of fetch refspecs for the given remote.

###### ggit_remote_get_name

Gets the remote’s name.

###### ggit_remote_get_owner

Gets the repository where `remote` resides.

###### ggit_remote_get_push_specs

Get the list of push refspecs for the given remote.

###### ggit_remote_get_url

Gets the remote’s url.

###### ggit_remote_list

Get a list of refs at the remote.

###### ggit_remote_prune

Prune tracking refs that are no longer present on remote.

###### ggit_remote_push

Connect to the remote if not yet connected, negotiate with the remote about which objects are missing, create a packfile with the missing objects and send it.

###### ggit_remote_update_tips

Update tips to the new state.

###### ggit_remote_upload

Create a packfile and send it to the server.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from GgitNative (1)

###### Ggit.Native:native

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GgitRemoteClass {
      /* no available fields */
    }

No description available.